Problems updating apache using Buldapache

tandyuk

Active Member
Dec 18, 2003
38
10
158
Worthing, UK
cPanel Access Level
DataCenter Provider
Hi, im trying to update apache, as whm gave me a security warning when i connected.

Trying to compile apache 1.3.31 with SSL and frontpage and php 4.3.8 with Curl, Curl SSL, Mcrypt, GD, mysql, pgsql, and zlib, it simply says Httpd has failed, contact the sysadmin.

I have managed to get the httpd working once, however it did not appear to install php (.php files resulted in save file as...)

System is running WHM 9.4.0 cPanel 9.4.1-C69 on RedHat 7.3
Many Thanks,

James Tandy,
TandyUK Servers
 
Last edited:

OCX

Well-Known Member
Sep 20, 2003
232
0
166
use
/scripts/easyapache


select 6
select what you want to complie..

then go to town..

i noticed you have this checked pgsql?

if thats not installed on your server...dont check it..
 

pubenemy

Member
Jul 4, 2003
13
0
151
The problem is with curl Im having the same problem, if you watch easyapache build...


Untarring php....Done
Applying GD FT_ENCODING_MS_SYMBOL patch
patching file ext/gd/libgd/gdft.c
Hunk #1 FAILED at 984.
1 out of 1 hunk FAILED -- saving rejects to file ext/gd/libgd/gdft.c.rej
Applying CURL curl_formfree patch
patching file ext/curl/curl.c
Hunk #1 FAILED at 545.
Hunk #2 FAILED at 885.
2 out of 2 hunks FAILED -- saving rejects to file ext/curl/curl.c.rej


make: *** [ext/curl/curl.lo] Error 1
make php-4.3.3...(install).... . . Done
make: *** [ext/curl/curl.lo] Error 1

Looks like wherever easyapache downloads curl from the files are bad. Im gonna recompile without curl and see if that helps. But one of my customers needs curl...
 

OCX

Well-Known Member
Sep 20, 2003
232
0
166
id try installing curl by it self


what flavor of nix do you have?
 

pubenemy

Member
Jul 4, 2003
13
0
151
Thanks for the link to curl, but even without curl or gd, easyapache still doesnt build with php working... Still playing around to see what I can do.
 

pubenemy

Member
Jul 4, 2003
13
0
151
Ok it seems the easiest fix is always the hardest to find. When i hit load previous config as normal on whm easy apache it didnt check off the 4.3.8 box. So I checked that off and all is working good now.